tos-ramsize(1)

NAME

tos-ramsize - Compute RAM usage of a TinyOS application including the stack

SYNOPSIS

tos-ramsize [-verbosity=n] mica2|micaz|iris elf-file

DESCRIPTION

This tool disassembles an elf file for AVR-based TinyOS platforms and estimates the maximum extent of its call stack. This number is reported, along with the total static and dynamic RAM usage.

The primary documentation for this tool can be found on the TinyOS Documentation Wiki.